//! Dynamic data storage and transfer types for use in [`io`]

// Dynamic data type
#[derive(Clone, Debug, PartialEq, Eq)]
pub enum Data {
    String(String),
    Int(i32),
}

impl From<String> for Data {
    fn from(value: String) -> Self {
        Self::String(value)
    }
}

impl From<i32> for Data {
    fn from(value: i32) -> Self {
        Self::Int(value)
    }
}
